org.eclipse.rap.rwt.engine

## Class RWTServlet

- java.lang.Object
- - HttpServlet
  - - org.eclipse.rap.rwt.engine.RWTServlet

    public class RWTServlet
    extends HttpServlet

The RWT servlet. This servlet receives all requests to a RAP application.

Usually, you only have to register this servlet manually in a traditional web application, i.e. without OSGi.

In a traditional web application (without OSGi), this servlet must be registered in the application's deployment descriptor like shown below. Note that the RWT servlet has to be registered for every entrypoint of the application.

     <context-param>
       <param-name>org.eclipse.rap.applicationConfiguration</param-name>
       <param-value>com.example.HelloWorldConfiguration</param-value>
     </context-param>

     <listener>
       <listener-class>org.eclipse.rap.rwt.engine.RWTServletContextListener</listener-class>
     </listener>

     <servlet>
       <servlet-name>rwtServlet</servlet-name>
       <servlet-class>org.eclipse.rap.rwt.engine.RWTServlet</servlet-class>
     </servlet>

     <servlet-mapping>
       <servlet-name>rwtServlet</servlet-name>
       <url-pattern>/example</url-pattern>
     </servlet-mapping>

Since:
  2.0

### Constructor Summary

Constructors
Constructor and Description
`RWTServlet()`

### Method Summary

Methods
`void` `doGet(HttpServletRequest request, HttpServletResponse response)`
`void` `doPost(HttpServletRequest request, HttpServletResponse response)`
`java.lang.String` `getServletInfo()`
`void` `init()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RWTServlet

    public RWTServlet()

### Method Detail

#### getServletInfo

    public java.lang.String getServletInfo()

#### init

    public void init()
              throws ServletException

Throws:
  `ServletException`

#### doGet

    public void doGet(HttpServletRequest request,
             HttpServletResponse response)
               throws ServletException,
                      java.io.IOException

Throws:
  `ServletException`
  `java.io.IOException`

#### doPost

    public void doPost(HttpServletRequest request,
              HttpServletResponse response)
                throws ServletException,
                       java.io.IOException

Throws:
  `ServletException`
  `java.io.IOException`

Copyright (c) EclipseSource and others 2002, 2018. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0